/**
 * <copyright>
 * </copyright>
 *
 * $Id: StereotypeValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.core.Constraint;
import orgomg.cwm.objectmodel.core.ModelElement;
import orgomg.cwm.objectmodel.core.TaggedValue;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.Stereotype}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface StereotypeValidator {
	boolean validate();

	boolean validateBaseClass(String value);
	boolean validateStereotypeConstraint(EList<Constraint> value);
	boolean validateExtendedElement(EList<ModelElement> value);
	boolean validateRequiredTag(EList<TaggedValue> value);
}
